Linux IPv6 HOWTO (en)
Prev | Chapter 7. Configuring normal IPv6 routes | Next

# 7.4. Add an IPv6 route through an interface

Not often needed, sometimes in cases of dedicated point-to-point links.

## 7.4.1. Using "ip"

Usage:

    # /sbin/ip -6 route add <ipv6network>/<prefixlength> dev <device>
    ¬ metric 1

Example:

    # /sbin/ip -6 route add 2000::/3 dev eth0 metric 1

Metric “1” is used here to be compatible with the metric used by route, because the default metric on using “ip” is “1024”.

## 7.4.2. Using "route"

Usage:

    # /sbin/route -A inet6 add <ipv6network>/<prefixlength> dev <device>

Example:

    # /sbin/route -A inet6 add 2000::/3 dev eth0

Prev | Home | Next
Removing an IPv6 route through a gateway | Up | Removing an IPv6 route through an interface